from setuptools import setup, find_packages

setup(
    name="scriptmonkey",
    version="1.0.0",
    description="A Python package that generates complex Python projects and fixes errors in your code using OpenAI's GPT API.",
    long_description=open("README.md", "r").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/lukerbs/ScriptMonkey",
    author="Luke Kerbs",
    author_email="LDK.kerbs@gmail.com",
    license="MIT",
    packages=find_packages(),
    install_requires=["openai", "pydantic", "tqdm", "python-dotenv"],
    python_requires=">=3.6",
    entry_points={
        "console_scripts": [
            "scriptmonkey=scriptmonkey.core:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    keywords=[
        "openai",
        "GPT",
        "AI",
        "project generation",
        "multi-file project",
        "complex project generator",
        "code error fixing",
        "code automation",
        "GPT API",
        "error correction",
        "code assistant",
        "AI coding tools",
        "script monkey",
        "automation",
        "development tools",
        "python tools",
        "code analysis",
        "machine learning",
        "project bootstrap",
        "custom code generation",
        "python package",
    ],
    package_data={"scriptmonkey.openai_client": ["prompts/*.txt"]},
    include_package_data=True,
)